<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getAugmentationFactions](./bitburner.singularity.getaugmentationfactions.md)

## Singularity.getAugmentationFactions() method

Get a list of faction(s) that have a specific Augmentation.

**Signature:**

```typescript
getAugmentationFactions(augName: string): string[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  augName | string | Name of Augmentation. |

**Returns:**

string\[\]

Array containing the names of all factions.

## Remarks

RAM cost: 5 GB \* 16/4/1

Returns an array containing the names (as strings) of all factions that offer the specified Augmentation. If no factions offer the Augmentation, a blank array is returned.

